import { Field, ID, InputType, ObjectType } from "@nestjs/graphql";

@InputType({isAbstract: true})
@ObjectType({isAbstract: true})
class <%= classify(resourceName) %>Base {

}

@InputType()
export class <%= classify(resourceName) %>Input extends <%= classify(resourceName) %>Base {
	@Field(type => ID, {nullable: true})
	id?: string;
}

@ObjectType()
export class <%= classify(resourceName) %> extends <%= classify(resourceName) %>Base {
	@Field(type => ID)
	id: string;
}
